Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface ServiceBindingType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  ServiceBindingTypeImpl

    public interface ServiceBindingType

extends RegistryObjectType

A representation of the model object 'Service Binding Type'.

The following features are supported:

- `Specification Link`
- `Access URI`
- `Service`
- `Target Binding`

See Also:
  `RimPackage.getServiceBindingType()`

Method Summary
`java.lang.String` | `getAccessURI()` Returns the value of the 'Access URI' attribute.
`java.lang.String` | `getService()` Returns the value of the 'Service' attribute.
`org.eclipse.emf.common.util.EList` | `getSpecificationLink()` Returns the value of the 'Specification Link' containment reference list.
`java.lang.String` | `getTargetBinding()` Returns the value of the 'Target Binding' attribute.
`void` | `setAccessURI(java.lang.String value)` Sets the value of the '`Access URI`' attribute.
`void` | `setService(java.lang.String value)` Sets the value of the '`Service`' attribute.
`void` | `setTargetBinding(java.lang.String value)` Sets the value of the '`Target Binding`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSpecificationLink

    org.eclipse.emf.common.util.EList getSpecificationLink()

  Returns the value of the 'Specification Link' containment reference list. The list contents are of type `SpecificationLinkType`.

  If the meaning of the 'Specification Link' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link' containment reference list.
  See Also:
    `RimPackage.getServiceBindingType_SpecificationLink()`

### getAccessURI

    java.lang.String getAccessURI()

  Returns the value of the 'Access URI' attribute.

  If the meaning of the 'Access URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Access URI' attribute.
  See Also:
    `setAccessURI(String)`, `RimPackage.getServiceBindingType_AccessURI()`

### setAccessURI

    void setAccessURI(java.lang.String value)

  Sets the value of the '`Access URI`' attribute.

  Parameters:
    `value` - the new value of the 'Access URI' attribute.
  See Also:
    `getAccessURI()`

### getService

    java.lang.String getService()

  Returns the value of the 'Service' attribute.

  If the meaning of the 'Service' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service' attribute.
  See Also:
    `setService(String)`, `RimPackage.getServiceBindingType_Service()`

### setService

    void setService(java.lang.String value)

  Sets the value of the '`Service`' attribute.

  Parameters:
    `value` - the new value of the 'Service' attribute.
  See Also:
    `getService()`

### getTargetBinding

    java.lang.String getTargetBinding()

  Returns the value of the 'Target Binding' attribute.

  If the meaning of the 'Target Binding' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Binding' attribute.
  See Also:
    `setTargetBinding(String)`, `RimPackage.getServiceBindingType_TargetBinding()`

### setTargetBinding

    void setTargetBinding(java.lang.String value)

  Sets the value of the '`Target Binding`' attribute.

  Parameters:
    `value` - the new value of the 'Target Binding' attribute.
  See Also:
    `getTargetBinding()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD